/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ch.il06.zeiterfassung.web.controller;

import java.io.IOException;

import javax.servlet.ServletException;

import ch.il06.zeiterfassung.web.AbstractController;

/**
 *
 * @author ncaspar, mstutz
 */
public class MainController extends AbstractController {

    /**
     * Prüft ob der User eingeloggt.
     * @param action
     * @return true wenn der User eingeloggt ist und false, wenn nicht.
     */
    @Override
    public boolean isAllowed(String action) {
        return request.getSession().getAttribute("currentUser") != null;
    }
    
    /**
     * Zeigt die Willkommensmeldung an.
     * @throws javax.servlet.ServletException
     * @throws java.io.IOException
     */
    public void indexAction() throws ServletException, IOException {
    	requestDespatcher("/main/index.jsp");
    }
}
