package ch.il06.zeiterfassung.gui;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTextField;

import ch.il06.zeiterfassung.db.Role;


public class Absences extends ApplicationPanel {
	
	public Absences(MainFrame mf) {
		super(mf);
		mlp = mf.getReferenceOfMLP();
		createCenterComponents();
	}

	MenuLayoutPanel mlp;
	GridBagConstraints gbc;
	JButton speichernButton;
	JTextField vonTextField;
	JTextField bisTextField;
	
	private void setConstraints(int x, int y, int w, int h, int pos, int top,
			int right, int bottom, int left) {
		setGridsConstraints(x, y);
		setDimensionConstraints(w, h);
		gbc.anchor = pos;
		setInsetsConstraints(top, right, bottom, left);
	}
	
	private void setDimensionConstraints(int w, int h) {
		gbc.gridheight = h;
		gbc.gridwidth = w;
	}

	private void setGridsConstraints(int x, int y) {
		gbc.gridx = x;
		gbc.gridy = y;
	}
	
	private void setInsetsConstraints(int top, int right, int bottom, int left) {
		gbc.insets.top = top;
		gbc.insets.right = right;
		gbc.insets.bottom = bottom;
		gbc.insets.left = left;
	}

	private void createCenterComponents() {
		vonTextField = new JTextField(10);
		bisTextField = new JTextField(10);
		speichernButton=new JButton("speichern");
		gbc=new GridBagConstraints();
		setLayout(new GridBagLayout());
		
		setConstraints(0, 0, 1, 1, GridBagConstraints.SOUTHEAST, 20, 20, 20, 20);
		add(new JLabel("Von: "), gbc);
		setConstraints(0, 1, 1, 1, GridBagConstraints.NORTHEAST, 20, 20, 0, 20);
		add(new JLabel("Bis: "), gbc);
		setConstraints(1, 0, 1, 1, GridBagConstraints.SOUTHWEST, 20, 20, 20, 20);
		add(vonTextField, gbc);
		setConstraints(1, 1, 1, 1, GridBagConstraints.NORTHWEST, 20, 20, 0, 20);
		add(bisTextField, gbc);
		setConstraints(1, 2, 1, 1, GridBagConstraints.NORTHWEST, 20, 20, 0, 20);
		add(speichernButton, gbc);
//		setConstraints(1, 3, 1, 1, GridBagConstraints.NORTHWEST, 20, 20, 0, 20);
//		add(errorMessage = new JLabel(""), gbc);
		
	
		
	}
	

	@Override
	public String getTitle() {
		return null;
	}

}
