package ch.il06.zeiterfassung.gui;

import javax.swing.JPanel;

import ch.il06.zeiterfassung.db.Role;

public abstract class ApplicationPanel extends JPanel {
	MainFrame mf;
	MenuLayoutPanel mlp;
	
	public ApplicationPanel(MainFrame mf) {
		this.mf=mf;
		mlp=mf.getReferenceOfMLP();
	}
	
	public void refreshButtons() {
		if(mf.getUser().getRole().equals(Role.Apprentice)){
			mlp.showUserButtons();
			}
			if(mf.getUser().getRole().equals(Role.Master)){
			mlp.showAdminButtons();	
			}
			mf.validate();
	}
	
	public abstract String getTitle();

}
