package ch.il06.zeiterfassung.gui;

import java.awt.BorderLayout;
import java.awt.Font;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class Management extends ApplicationPanel {

	JPanel mainPanel;
	GridBagConstraints gbc;
	JButton createUser,searchUser,deleteUser,createGroup,searchGroup,deletGroup;
	String title="Management";

	public Management(MainFrame mf) {
		super(mf);
		createMainPanel();
		createNorthPanel();
		createMainPanelComponents();
	}

	private void createNorthPanel() {
		JPanel panel = new JPanel();
		panel.setLayout(new GridBagLayout());
		JLabel label = new JLabel("Management");
		Font f = label.getFont();
		Font f2 = f.deriveFont((float) f.getSize() * 3);
		System.out.println(f2.getSize());
		label.setFont(f2);
		panel.add(label);

		// northLabel.setBackground(Color.GREEN);
		// northLabel.setOpaque(true);
		this.add(panel, BorderLayout.NORTH);

	}

	protected void createMainPanelComponents() {

		mainPanel.add(createPanel(createGroup=createCreateGroup()));
		mainPanel.add(createPanel(createUser=createCreateUser()));
		mainPanel.add(createPanel(searchGroup=createSearchGroup()));
		mainPanel.add(createPanel(searchUser=createSearchUser()));
		mainPanel.add(createPanel(deletGroup=createDeletGroup()));
		mainPanel.add(createPanel(deleteUser=createDeleteUser()));
		this.add(mainPanel, BorderLayout.CENTER);
	}

	private JPanel createPanel(JButton button) {
		JPanel panel = new JPanel();
		panel.setLayout(new GridBagLayout());
		panel.add(button);
		return panel;
	}

	private void createMainPanel() {

		mainPanel = new JPanel();
		mainPanel.setLayout(new GridLayout(3, 3)); // gL = GridLayout Manager
	}

	private JButton createButton(String name, String actionID) {
		JButton button = new JButton(name);
		button.setActionCommand(actionID);
		// button.addActionListener(al);
		return button;
	}

	private JButton createSearchUser() {
		return createButton("Search User", "search.user");
	}

	private JButton createCreateUser() {

		return createButton("Create User", "create.user");

	}
	
	private JButton createDeleteUser(){
		return createButton("Create Delet", "delet.user");
	}

	private JButton createSearchGroup() {
		return createButton("Search Group", "search.group");
	}

	private JButton createCreateGroup() {
		return createButton("Create Group", "create.group");
		
	}
	
	private JButton createDeletGroup(){
		return createButton("Delet Group", "delet.group");
	}

	@Override
	public void refreshButtons() {
		// TODO Auto-generated method stub
		
	}

	@Override
	public String getTitle() {
		// TODO Auto-generated method stub
		return title;
	}

}
