<%!private String title = "ausbildungEintragen";%>
<%!private Group[] groups;%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"  %>
<%@ include file="../includes/header.jsp"%>
<%@page import="ch.il06.zeiterfassung.db.Group"%>
<%@page import="ch.il06.zeiterfassung.web.Helper"%>
<%@page import="java.util.Date"%>
<%@page import="java.util.Calendar"%>
<%@page import="ch.il06.zeiterfassung.db.DayRange"%>
<%@page import="java.text.SimpleDateFormat"%>
<% Group group = (Group) request.getAttribute("group"); %>

<h1>Gruppenkalender <%=Helper.escapeHtml(group.getName()) %></h1>
<% Date startDate = (Date) request.getAttribute("startDate");
SimpleDateFormat sdf = new SimpleDateFormat("MMMM yyyy");%>
<h2><%=sdf.format(startDate)%></h2>
<table width="100%" class="events">
	<tr>
		<th width="20%">Montag</th>
		<th width="20%">Dienstag</th>
		<th width="20%">Mittwoch</th>
		<th width="20%">Donnerstag</th>
		<th width="20%">Freitag</th>
	</tr>
<%
DayRange[] ranges = (DayRange[]) request.getAttribute("dayRanges"); %>
<%
Calendar calendar = Calendar.getInstance();
Calendar rangeFromCalendar = Calendar.getInstance();
Calendar rangeToCalendar = Calendar.getInstance();
calendar.setTime(startDate);
int month = calendar.get(Calendar.MONTH);
while(calendar.get(Calendar.MONTH) == month) { %>
	<tr>
	<% for(int weekday = 1; weekday < 8; weekday++) {
		int dateWeekday = calendar.get(Calendar.DAY_OF_WEEK); %>
		<% if(calendar.get(Calendar.MONTH) != month) { break; } %>
		<% if(dateWeekday == Calendar.SATURDAY || dateWeekday == Calendar.SUNDAY) {
			calendar.add(Calendar.DATE, 1);
			continue;
		}%>
		<% if(weekday == Calendar.SATURDAY || weekday == Calendar.SUNDAY) {
			continue;
		}%>
		<% if(dateWeekday == weekday) {
			String cssClass = "";
			String bemerkung = "";
			if(ranges != null) {
				for(DayRange range : ranges) {
					rangeFromCalendar.setTime(range.getDateFrom());
					rangeToCalendar.setTime(range.getDateTo());
					boolean isAffected = (rangeFromCalendar.compareTo(calendar) <= 0 && rangeToCalendar.compareTo(calendar) >= 0);
					if(isAffected) {
						cssClass += range.getType().toString().toLowerCase() + " ";
						bemerkung += range.getBemerkungen() + "; ";
					}
				}
			}
			%>
			<td class="<%=cssClass%>" title="<%=bemerkung%>">
				<%=calendar.get(Calendar.DATE) %>
			</td>
			<% calendar.add(Calendar.DATE, 1); %>
		<% } else { %>
			<td>&nbsp;</td>
		<% } %>
	<% } %>
	</tr>
<% } %>
	<tr>
		<td colspan="2" align="left">
			<% calendar.setTime(startDate);
			calendar.set(Calendar.DAY_OF_MONTH, 1);
			calendar.add(Calendar.MONTH, -1); %>
			<a href="lehrmeister/gruppenkalender?gruppeDropDown=<%=group.getGid()%>&amp;monthDropDown=<%=calendar.get(Calendar.MONTH)+1 %>&amp;yearDropDown=<%=calendar.get(Calendar.YEAR) %>">
			&laquo; <%=sdf.format(calendar.getTime())%>
			</a>
		</td>
		<td>&nbsp;</td>
		<td colspan="2" align="right">
			<% calendar.setTime(startDate);
			calendar.set(Calendar.DAY_OF_MONTH, 1);
			calendar.add(Calendar.MONTH, 1); %>
			<a href="lehrmeister/gruppenkalender?gruppeDropDown=<%=group.getGid()%>&amp;monthDropDown=<%=calendar.get(Calendar.MONTH)+1 %>&amp;yearDropDown=<%=calendar.get(Calendar.YEAR) %>">
			<%=sdf.format(calendar.getTime())%> &raquo;
			</a>
		</td>
	</tr>
</table>
<h2>Aktion</h2>
<a href="lehrmeister/ausbildung_eintragen?gruppeDropDown=<%=group.getGid()%>">Ausbildung eintragen</a><br />
<a href="lehrmeister/feiertag_eintragen?gruppeDropDown=<%=group.getGid()%>">Feiertag eintragen</a><br />
<h2>Legende</h2>
<table class="events" width="100%">
  <tr>
    <td class="feiertag">&nbsp;</td>
    <td>Feiertag</td>
  </tr>
  <tr>
    <td class="ferien" width="20">&nbsp;</td>
    <td>Ferien</td>
  </tr>
  <tr>
    <td class="sonstigeabwesenheit">&nbsp;</td>
    <td>Sonstige Abwesenheit</td>
  </tr>
  <tr>
    <td class="ausbildung">&nbsp;</td>
    <td>Ausbildung</td>
  </tr>
  <tr>
    <td class="schule">&nbsp;</td>
    <td>Schule</td>
  </tr>
</table>
<%@ include file="../includes/footer.jsp"%>