<%! private String uid;%>
<%! private User u;%>
<%! private String month;%>
<%! private String year;%>
<%!private String title = "Lehrling Kalender";%>
<%@ include file="../includes/header.jsp" %>
<%@page import="ch.il06.zeiterfassung.web.Helper"%>
<%@page import="ch.il06.zeiterfassung.db.Db"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"  %>
<%@page import="ch.il06.zeiterfassung.db.User"%>
<%@page import="ch.il06.zeiterfassung.db.UserCalendar"%>
<%@page import="ch.il06.zeiterfassung.db.WorkDay"%>
<%@page import="ch.il06.zeiterfassung.db.Day"%>
<%@page import="ch.il06.zeiterfassung.web.controller.LehrlingController"%>
<%@page import="ch.il06.zeiterfassung.db.DayRange"%>

<%@page import="java.text.SimpleDateFormat"%>
<%@page import="java.util.Date"%>
<%@page import="ch.il06.zeiterfassung.db.OfficialHolidayCalendar"%>
<%@page import="ch.il06.zeiterfassung.web.controller.LehrlingController"%>

<h1>bersicht </h1>
<% 	
	//TODO falls requestparameter vorhanden, muss month berschribeen werden.
 	
	 month = (String) request.getAttribute("month");
	 year = (String) request.getAttribute("year");
	 
	if(null == month || "".equals(month)){
		
	 month = Helper.getActualDate("MM");
	 
	}
	
	if(null == year || "".equals(year)){
		
		year = Helper.getActualDate("yyyy");
	
		}
	 
	 
	 
 	%>

<form action="lehrmeister/lehrling_uebersicht" method="post">
<table>
		<tr>
			<td>Kalenderansicht:</td>
			<td><select name='month'>
				<option value="01" <%if(month.equals("01")) { %> selected="selected" <% } %>>Januar</option>
				<option value="02" <%if(month.equals("02")) { %> selected="selected" <% } %>>Februar</option>
				<option value="03" <%if(month.equals("03")) { %> selected="selected" <% } %>>M&auml;rz</option>
				<option value="04" <%if(month.equals("04")) { %> selected="selected" <% } %>>April</option>
				<option value="05" <%if(month.equals("05")) { %> selected="selected" <% } %>>Mai</option>
				<option value="06" <%if(month.equals("06")) { %> selected="selected" <% } %>>Juni</option>
				<option value="07" <%if(month.equals("07")) { %> selected="selected" <% } %>>Juli</option>
				<option value="08" <%if(month.equals("08")) { %> selected="selected" <% } %>>August</option>
				<option value="09" <%if(month.equals("09")) { %> selected="selected" <% } %>>September</option>
				<option value="10" <%if(month.equals("10")) { %> selected="selected" <% } %>>Oktober</option>			
				<option value="11" <%if(month.equals("11")) { %> selected="selected" <% } %>>November</option>
				<option value="12" <%if(month.equals("12")) { %> selected="selected" <% } %>>Dezember</option>
			</select></td>
			<td><select name='year'>
				<option value="2005" <%if(year.equals("2005")) { %> selected="selected" <% } %>>2005</option>
				<option value="2006" <%if(year.equals("2006")) { %> selected="selected" <% } %>>2006</option>
				<option value="2007" <%if(year.equals("2007")) { %> selected="selected" <% } %>>2007</option>
				<option value="2008" <%if(year.equals("2008")) { %> selected="selected" <% } %>>2008</option>
				<option value="2009" <%if(year.equals("2009")) { %> selected="selected" <% } %>>2009</option>
				<option value="2010" <%if(year.equals("2010")) { %> selected="selected" <% } %>>2010</option>
				<option value="2011" <%if(year.equals("2011")) { %> selected="selected" <% } %>>2011</option>
				<option value="2012" <%if(year.equals("2012")) { %> selected="selected" <% } %>>2012</option>
			</select></td>
			<td>
				<input type="submit" value="go" class="action" />
			</td>
		</tr>
	</table>
</form>
<br />
<table style="background-color: #1e4a7b;" cellpadding="5px">
	<tr class="zeitHeader">
		<th >Datum</th>
		<th colspan="2">Vormittag</th>
		<th colspan="2">Nachmittag</th>
		<th >Ist-Zeit</th>
		<th >Soll-Zeit</th>
		<th >Differenz</th>
		<th >Differenz aktuell</th>
	</tr>
	<% 
	u = (User)request.getAttribute("user");
	
	UserCalendar uc = new UserCalendar(Db.getInstance(), u);
	
	int daysInCurrentMonth = uc.getMonthDay(month, year);
	
	LehrlingController lc = new LehrlingController();
	Date startDate = Helper.convertStringToDate("01."+month+"."+year);
	Date toDate = Helper.convertStringToDate(""+daysInCurrentMonth+"."+month+"."+year);
	WorkDay[] wd = lc.getWorkDays(startDate, toDate, uc);
	OfficialHolidayCalendar ohc = new OfficialHolidayCalendar(Db.getInstance());
	DayRange[] wdOfficialHoliday = Db.getInstance().getHolidayRanges(Helper.convertStringToDate("01."+month+"."+year), Helper.convertStringToDate(""+daysInCurrentMonth+"."+month+"."+year), ohc);
	
	String day = null;
	for(int i = 1; i <= daysInCurrentMonth; i++) {%>
	<tr class="zeit">
		<% 
		day = uc.prepareDate(day, month, year, i);
		
		%>
		
		<td>
			<a href="lehrling/eintragen?selectedDate=<%=day%>"><%=day %></a>	
		</td>
		<td><%= uc.checkArrayWorkdayFrom(wd, day, 0) %></td>
		<td><%= uc.checkArrayWorkdayTo(wd, day, 0) %></td>
		<td><%= uc.checkArrayWorkdayFrom(wd, day, 1) %></td>
		<td><%= uc.checkArrayWorkdayTo(wd, day, 1) %></td>
		<td>--:--</td>
		<td><%= uc.checkArrayMustWorkTime(wdOfficialHoliday, day) %></td>
		<td>--:--</td>
		<td>--:--</td>
	</tr>
	<%} %>
</table>

<%@ include file="../includes/footer.jsp"%>