package ch.il06.zeiterfassung.db;

import java.util.Date;

public class Day {
	private Date date;
	private Type type;

	public Day(Date date, Type type) {
		this.date = date;
		this.type = type;
	}

	public Date getDate() {
		return date;
	}

	public int compareTo(Object a) {
		if (a instanceof Day) {
			return this.getDate().compareTo(((Day) a).getDate());
		}
		throw new ClassCastException("Object ist kein Day Object...");
	}

	public Type getType() {
		return type;
	}

	@Override
	public String toString() {
		String dateString = date.toString();
		String typeString="Type isn't setted";
		if (type != null) {
			typeString = type.toString();
		}
		return dateString + " " + typeString;
	}
}
