package ch.il06.zeiterfassung.db;

import java.util.Date;

public class DayRange {
	protected Date dateFrom, dateTo;
	protected Type type;
	protected int id;
	protected int anzahlStunden;
//	protected boolean halberTag;
	protected String bemerkungen;

	public DayRange(Date dateFrom, Date dateTo, int anzahlStunden, String bemerkungen, Type type) {
		this.dateFrom = dateFrom;
		this.dateTo = dateTo;
		this.type = type;
		this.anzahlStunden = anzahlStunden;
		this.bemerkungen = bemerkungen;
//		this.halberTag = halberTag;
	}

	public Date getDateFrom() {
		return dateFrom;
	}

	public Date getDateTo() {
		return dateTo;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getId() {
		return this.id;
	}

	public Type getType() {
		return type;
	}
	
	/**
	 * Anzahl Stunden in Sekunden (!)
	 * @return
	 */
	public int getAnzahlStunden() {
		return anzahlStunden;
	}

	public String getBemerkungen() {
		return bemerkungen;
	}

	public void setDateFrom(Date dateFrom) {
		this.dateFrom = dateFrom;
	}

	public void setDateTo(Date dateTo) {
		this.dateTo = dateTo;
	}

	public void setType(Type type) {
		this.type = type;
	}

	/**
	 * Anzahl Stunden in Sekunden (!)
	 * @param anzahlStunden
	 */
	public void setAnzahlStunden(int anzahlStunden) {
		this.anzahlStunden = anzahlStunden;
	}

	public void setBemerkungen(String bemerkungen) {
		this.bemerkungen = bemerkungen;
	}
	
//	public boolean isHalberTag() {
//		return halberTag;
//	}
//
//	public void setHalberTag(boolean halberTag) {
//		this.halberTag = halberTag;
//	}
	
	public String toString() {
		return "DayRange: " + dateFrom + " bis " + dateTo + "\n"
			+ "===============================" + "\n"
			+ "Stunden: " + anzahlStunden + "\n"
			+ "Type: " + type + "\n"
			+ "Bemerkungen: " + bemerkungen + "\n";
	}
}

