/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ch.il06.zeiterfassung.web;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author ncaspar
 * @author bkadrija
 * @author mstutz
 */
public abstract class AbstractController {

    public HttpServletRequest request;
    public HttpServletResponse response;
    protected String basePath;

    void setVariables(HttpServletRequest request, HttpServletResponse response) {
        this.request = request;
        this.response = response;
        String path = request.getContextPath();
        basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
    }

    protected boolean isEmpty(String field) {
        return null == field || "".equals(field);    
      }
    
    public boolean isAllowed(String action) {
        return true;
    }

    protected boolean parameterEmpty(String[] fields) {
        for (String field : fields) {
            String value = request.getParameter(field);
            isEmpty(value);
        }
        return false;
    }
    
    public void requestDespatcher(String url) throws ServletException, IOException{
    	if(request == null){
    		System.out.println("Request is null ");
    		return;
    	}
    	RequestDispatcher rd= request.getRequestDispatcher(url);
    	if(rd == null){
    		System.out.println("Dispatcher is null");
    		return;
    	}
       rd.forward(request, response);
    }

}
