package ch.il06.zeiterfassung.db;

import java.util.Date;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		DbInterface db = Db.getInstance();
		User user = db.login("A955330", "Thomas");
		UserCalendar cal = db.getCalendarByApprentice(user);
		WorkDay wd = new WorkDay(new Date(109, 10, 20));
		Worktime wts[] = new Worktime[2];
		wts[0] = new Worktime(1300, 2000);
		wts[1] = new Worktime(3000, 4000);
		wd.setWorktimes(wts);
		db.save(wd, cal);
	}

}
